// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

class Docpart {
	protected TemplateEngine templateEngine;
	protected ContextBuilder contextBuilder
	
	public Docpart() {}
	
	public void setTemplateEngine(TemplateEngine te) { templateEngine = te }
	
	public void setContextBuilder(ContextBuilder cb) { contextBuilder = cb }
	
	public void create(File templateFile, File outputFile) {
		templateEngine.merge(contextBuilder.build(templateFile), templateFile, outputFile)
	}
}
