#!/bin/sh
# *************************************************************************
# This script can be used to stop the WebLogic NodeManager if domain was 
# created by SDW.
#
# DOMAIN_DIR     - The (SASDomain) domain directory.
# DOMAIN_NAME - The Domain Name (i.e. SASDomain).
# NODEMANAGER_PORT - The port NodeManager listens on.
# HOST - The Host NodeManager is running on.
# *************************************************************************

DOMAIN_DIR="${global.domainDir}"
DOMAIN_NAME=${global.SASDomainName}
NODEMANAGER_PORT=${global.nodeManagerPort}
HOST=${global.host}

${global.SASWlstScriptHome}/saswls.sh stop nodemanager ${global.SASDomainName}
