@rem *************************************************************************
@rem This script is used to uninstall a WebLogic Server Windows Service.
@rem
@rem To create your own start script for your domain, simply set the 
@rem SERVER_NAME variable to your server name then call this script from your
@rem domain directory.
@rem
@rem This script sets the following variables before uninstalling 
@rem the Windows Service:
@rem
@rem WL_HOME    - The root directory of your WebLogic installation
@rem
@rem For additional information, refer to the WebLogic Server Administration 
@rem Guide (@DOCSWEBROOT/adminguide/startstop.html).
@rem *************************************************************************

@echo off
SETLOCAL

rem *** Begin: SAS Modification ***
set WL_HOME=${weblogicHome}
set SERVICE_NAME=${serviceName}

rem *** Uninstall the service
"%WL_HOME%\server\bin\beasvc" -remove -svcname:"%SERVICE_NAME%"
rem *** End: SAS Modification ***

ENDLOCAL
