#!/bin/sh
# Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

JAVA_HOME=@jdk.install.dir@
export JAVA_HOME
WL_HOME=@weblogic.home.dir@
export WL_HOME
JARDIR=@velocityJarDir@
CLASSPATH=${JARDIR}/sas.core.jar:${JARDIR}/com.sas.config.jar:${JARDIR}/velocity-1.5.jar:${JARDIR}/groovy-all.jar:${JARDIR}/avalon-logkit-2.1.jar:${JARDIR}/oro-2.0.8.jar:${JARDIR}/commons-collections-3.1.jar:${JARDIR}/commons-lang-2.1.jar:${JARDIR}/commons-logging.jar:${JARDIR}/log4j-1.2.12.jar:${JARDIR}/commons-io.jar
export CLASSPATH
EXT_PRE_CLASSPATH=${JARDIR}/ant-1.8.1.jar:${JARDIR}/ant-launcher-1.8.1.jar
export EXT_PRE_CLASSPATH
JAVA_OPTIONS="@python.cachedir.option@"
export JAVA_OPTIONS
JAVA_HOME=@jdk.install.dir@
export JAVA_HOME
JAVA_VENDOR=@jdk.vendor@
export JAVA_VENDOR
DOMAIN_HOME=@weblogic.domain.root.dir@
export DOMAIN_HOME
ENV=
export ENV
SAS_WLST_SCRIPT_HOME=@wlst.custom.scripts.dir@
export SAS_WLST_SCRIPT_HOME

INSTALLED_WLST=${WL_HOME}/common/bin/wlst.sh
DOMAIN_WLST=@weblogic.domain.wlst@

if [ -f "${DOMAIN_WLST}" ]; then
  WLST=${DOMAIN_WLST}
else
  WLST=${INSTALLED_WLST}
fi

SCRIPT=@weblogic.script.dir@/sas.py
${WLST} ${SCRIPT} $* processCredentials
${WLST} ${SCRIPT} $*  <@weblogic.script.dir@/yes.txt

