//RPLSUSS  JOB (XXXXX),'Your Name',NOTIFY=,TIME=5
//***********************************************
//* Generate Control Files for SAS Tape Install *
//***********************************************
//*
//  SET JOBSPDS='SRE.SAS93.TAPECTL'   <== Customer install PDS
//  SET JOBSSAS='SRE.SAS93.SASCNTL'   <== SAS create PDS
//  SET JOBPATH='/tmp'                <== Replacement job run location
//*
//*--------------------------------------------------------------------
//* Copy the program and control files to the jobs directory
//*--------------------------------------------------------------------
//COPYUSS1 EXEC PGM=IKJEFT01,DYNAMNBR=20
//INFILE   DD DISP=SHR,DSN=&JOBSSAS(REPLUSS)
//OUTFILE  DD PATH='&JOBPATH/repluss',
//            PATHDISP=(KEEP,KEEP),
//            PATHOPTS=(OCREAT,OTRUNC,OWRONLY),PATHMODE=SIRWXU
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 OCOPY INDD(INFILE) OUTDD(OUTFILE)
//COPYUSS2 EXEC PGM=IKJEFT01,DYNAMNBR=20,COND=(0,NE)
//INFILE   DD DISP=SHR,DSN=&JOBSSAS(RPLVARS)
//OUTFILE  DD PATH='&JOBPATH/rplvarin',
//            PATHDISP=(KEEP,KEEP),
//            PATHOPTS=(OCREAT,OTRUNC,OWRONLY),PATHMODE=SIRWXU
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 OCOPY INDD(INFILE) OUTDD(OUTFILE)
//*
//*--------------------------------------------------------------------
//* Replace sdcmvs with zoshost to hide from the Customer
//*--------------------------------------------------------------------
//CHGHOST1 EXEC PGM=BPXBATCH,MEMLIMIT=1G,DYNAMNBR=20,COND=(0,NE),
// PARM='SH cd &JOBPATH;&JOBPATH/repluss &JOBPATH!sdcmvs!zoshost'
//STDIN    DD DUMMY
//STDOUT   DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//OUTPUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//*
//*--------------------------------------------------------------------
//* Replace SDCMVS with ZOSHOST to hide from the Customer
//*--------------------------------------------------------------------
//CHGHOST2 EXEC PGM=BPXBATCH,MEMLIMIT=1G,DYNAMNBR=20,COND=(0,NE),
// PARM='SH cd &JOBPATH;&JOBPATH/repluss &JOBPATH!SDCMVS!ZOSHOST'
//STDIN    DD DUMMY
//STDOUT   DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//OUTPUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//*--------------------------------------------------------------------
//* Replace snosps with usernm to hide from the Customer
//*--------------------------------------------------------------------
//CHGHOST3 EXEC PGM=BPXBATCH,MEMLIMIT=1G,DYNAMNBR=20,COND=(0,NE),
// PARM='SH cd &JOBPATH;&JOBPATH/repluss &JOBPATH!snosps!usernm'
//STDIN    DD DUMMY
//STDOUT   DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//OUTPUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//*
//*--------------------------------------------------------------------
//* Replace SNOSPS with USERNM to hide from the Customer
//*--------------------------------------------------------------------
//CHGHOST4 EXEC PGM=BPXBATCH,MEMLIMIT=1G,DYNAMNBR=20,COND=(0,NE),
// PARM='SH cd &JOBPATH;&JOBPATH/repluss &JOBPATH!SNOSPS!USERNM'
//STDIN    DD DUMMY
//STDOUT   DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//OUTPUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//*
//*--------------------------------------------------------------------
//* Copy the program and control files to the jobs directory
//*--------------------------------------------------------------------
//COPYUSS3 EXEC PGM=IKJEFT01,DYNAMNBR=20,COND=(0,NE)
//INFILE   DD DISP=SHR,DSN=&JOBSSAS(RPLUSASI)
//OUTFILE  DD PATH='&JOBPATH/rplusasi',
//            PATHDISP=(KEEP,KEEP),
//            PATHOPTS=(OCREAT,OTRUNC,OWRONLY),PATHMODE=SIRWXU
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 OCOPY INDD(INFILE) OUTDD(OUTFILE)
//COPYUSS4 EXEC PGM=IKJEFT01,DYNAMNBR=20,COND=(0,NE)
//INFILE   DD DISP=SHR,DSN=&JOBSPDS(RPLVARC)
//OUTFILE  DD PATH='&JOBPATH/rplvarin',
//            PATHDISP=(KEEP,KEEP),
//            PATHOPTS=(OCREAT,OTRUNC,OWRONLY),PATHMODE=SIRWXU
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 OCOPY INDD(INFILE) OUTDD(OUTFILE)
//*
//*--------------------------------------------------------------------
//* Create the replacement control file
//*--------------------------------------------------------------------
//REPLUSS  EXEC PGM=BPXBATCH,MEMLIMIT=1G,DYNAMNBR=20,COND=(0,NE),
// PARM='SH &JOBPATH/repluss &JOBPATH!sas!sasgenerate=sas_init'
//STDIN    DD DUMMY
//STDOUT   DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//OUTPUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//*
//*--------------------------------------------------------------------
//* Copy the replacement control file to the jobs PDS
//*--------------------------------------------------------------------
//COPYPDS1 EXEC PGM=IKJEFT01,DYNAMNBR=20,COND=(0,NE)
//INFILE   DD PATH='&JOBPATH/rplufile',
//            PATHDISP=(KEEP,KEEP)
//OUTFILE  DD DISP=SHR,DSN=&JOBSPDS(RPLUFILE)
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
 OCOPY INDD(INFILE) OUTDD(OUTFILE)
//*
//
